Subject: Re: bug#19726: When sending email, all lines starting with `from' get capitalized

From: [email-masked]
Date: Sat, 26 Mar 2016 17:07:49 +0100

2016-03-26 07:22 +0100, Marcin Borkowski <[email-masked]>:

> [ text/plain ]
>
> On 2016-03-26, at 00:02, [email-masked] wrote:
>
>> 2016-03-18 20:25 +0100, Marcin Borkowski <[email-masked]>:
>>
>>> [ text/plain ]
>>> On 2015-02-07, at 19:23, [email-masked] wrote:
>>>
>>>> Was someone to able to reproduce bug #19726?  Or is it caused by some
>>>> mis-configuration on my side?
>>>>
>>>> Thank your for help with that!
>>>
>>> Hi,
>>>
>>> I couldn't reproduce that (what exactly do you use to send emails?  My
>>> emacs -Q cannot send emails without some configuration!),
>>
>> Hi,
>>
>> You don't have to actually send the email.  It's sufficient to press the
>> `Preview' button in toolbar---it will render a message for sending with
>> `From' capitalized.
>
> OK, I tried this.
>
>>> but this looks
>>> kind of familiar to me.  Some time ago I read that Unix tools used to
>>> prepend a ">" sign to all lines beginning with "From" so that they are
>>> not mistaken for the sender address^W^W beginning of the new mail.  Here
>>> you are, see https://en.wikipedia.org/wiki/Mbox .
>>
>> I'm not sure how is the issue of capitalizing `from' causally related to
>> the mbox format and it's quirks.
>
> Well, the problem is similar - I'm not saying that it's related (and in
> fact it appears it's not).

Thanks, I understand now.

>> Thanks for looking at the problem!
>>
>> I would still be curious, if were able to see the same effect just by
>> pressing the `Preview' button (without actually sending the message).
>
> I just tried, and it seems not.  Does it persist on your side?  (If not,
> I'd be inclined to close this bug.)
>
> I think I could try one more thing (but not today - it's Easter Eve, and
> my family will soon be awake!): checkout the Emacs version from the time
> you reported this bug, compile it and see whether I could observe it.

I currently use GNU Emacs 24.5.1 which still hast this problem.

I quickly tried version 25.0.92 which seem to have it fixed.

For me you could consider closing this issue, because the new Emacs
version should be released sooner than later and the workaround (at
least for Python files) is to send them as non-inline attachments.

Cheers,
Marek